<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">

    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyDkiGv2h1IOQCgr2R-S48Gb8jjbxg55v8w&libraries=places&callback=initAutocomplete"
            async defer></script>
    <script src="/lib/jquery.min.js"></script>
    <script src="/lib/underscore-1.4.4.min.js"></script>
    <script src="/lib/bootstrap.min.js"></script>
    <script src="/lib/angular/angular.js"></script>
    <script src="/js/app.js"></script>
    <script type="text/javascript" src="js/map.js"></script>
    <script src="https://rawgithub.com/gsklee/ngStorage/master/ngStorage.js"></script>

    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="/css/app.css"/>
    <title>Rezervari</title>

</head>
<body ng-app="eventsApp" ng-controller="ExampleController">
<div ng-controller="carTypeCtrl">
    <form name="myForm">
        <ul>
            <li><a class="active" href="EventDetails.html">New Booking</a></li>
            <li><a href="MyProfile.html">My Profile</a></li>
            <li><a href="MyBookings.html">My Bookings</a></li>
        </ul>

        <div class="container">
            <div class="item">
                <label for="cars"><p>Numar Pasageri</p></label>
                <input id="passengerNumber" placeholder="Introduceti adresa ridicare..." type="text" ng-change="updateCarTypeSelect()" ng-model="passengerNumber"/>
            </div>

            <div class="item">
                <label for="cars"><p>Selecteaza tip plata</p></label>
                <select class="selectCard" id="selectCard" name="selectCard" type="text" ng-model="selectCard">
                    <option value="Visa">Visa</option>
                    <option value="Mastercard">Mastercard</option>
                    <option value="Paypal">Paypal</option>
                    <option value="Cash">Cash</option>
                </select>
            </div>
        </div>


        <div class="container">
            <div class="item">
                <label for="autocompletePickUp"><p>Adresa ridicare</p></label>
                <input id="autocompletePickUp" placeholder="Introduceti adresa ridicare..." type="text" ng-model="autocompletePickUp.text"/>
            </div>
            <div class="item">
                <label for="autocompleteDestination"><p>Adresa destinatie</p></label>
                <input id="autocompleteDestination" placeholder="Introduceti adresa destinatiei..." type="text"/>
            </div>
            <div class="item" id="latLNG">
                <p id="distance" ng-model="distance"></p>
                <p id="duration" ng-model="duration"></p>
                <p id="price" ng-model="price"></p>
            </div>
            <div class="item">
                <label for="cars"><p>Categorie masina</p></label>

                <div class="cars-container">
                    <div class="select-container">
                        <select id="cars" name="cars" type="text" ng-model="cars">
                            <option ng-repeat="x in carTypes track by $index" value="{{x.id_type}}" ng-if="x.seats_number > passengerNumber">{{x.type}} - {{x.seats_number}} locuri</option>
                        </select>
                    </div>
                    <div class="button-container">
                        <button id="buttonSend" class="button" type="button" ng-click="createBooking()">Creeaza booking</button>
                    </div>
                </div>
            </div>

        </div>

        <div id="map"></div>

        <div class="container" id="latLNG">
            <div class="item">
                <p id="latPickUp" ng-model="latPickUp"></p>
                <p id="lngPickUp" ng-model="lngPickUp"></p>
            </div>
            <div class="item">
                <p id="latDestination" ng-model="latDestination"></p>
                <p id="lngDestination" ng-model="lngDestination"></p>
            </div>

        </div>

    </form>
</div>
</body>
</html>
